get
https://gateway.stage.bill.com/connect/v3/spend/transactions
Get a list of transaction objects. By default, you get 20 results on one page of results. Set max in your request to get up to 50 results on one page.
In the response, you get information about transactions, reversals, and refunds.
- Transaction: For a standard transaction, the
transactionTypeis set asAUTHORIZATIONorDECLINE. The status is updated toCLEARonce BILL moves the money from the funding account. TheCLEARtransactions receive a new ID and reference to the originalAUTHORIZATIONtransaction via theoriginalAuthTransactionUuidfield. - Reversal: For a reversal (a cancellation before funds are settled), the
transactionTyperemainsAUTHORIZATION, but theamountis typically a negative value. - Refund: For a refund (a cancellation after funds are settled), the
transactionTypeis set toCLEARand theamountis a negative value.
Note: Only parent transactions are available in the response.
